Subject: [bug#74522] [PATCH 00/73] Moving Guix to libglvnd

From: The Man <[email-masked]>
Date: Tue, 26 Nov 2024 21:59:55 -0600

very relevant questions, thank you.

The primary advantage would be one of the reasons libglvnd was created to
begin with, allowing mixed vendor gpu setups to exist without pain.
current configurations should be completely unaffected (knocking on the
largest chunk of wood i can find), i at least made no change to my
system.scm when working on this.
runtime reproducibility i foresee could, probably will, be affected.
there's been reports in the past of runtime errors when using nvidia but
not mesa (and even some vice versa) though the reports are years in the
past. the ecosystem has matured much in recent years.

On Mon, Nov 25, 2024 at 4:58 PM Noé Lopez <[email-masked]> wrote:
>
> Hi, just a few questions I hope are relevant:
>
> What is the advantage of libglvnd over mesa’s libgl?
>
> How does the change affect current configurations?
>
> Can this break reproducibility at runtime? (e.g. a package works only with
> mesa’s libgl, but the user has nvidia’s in his profile so it gets
> selected based on factors external to guix)
>
> Thanks for your work,
> Noé Lopez
> > Oh yeah for sure. A V2 wouldn't look so excessive, all the simple
variable
> > replacements could be squashed into one commit.
> >
> > On Sun, Nov 24, 2024, 11:17 PM Liliana Marie Prikler <
> > [email-masked]> wrote:
> >
> > > Am Sonntag, dem 24.11.2024 um 21:41 -0600 schrieb The Man:
> > > > Change-Id: I78d884f62af4a0cf7fe6dd0fc980a4063b784f9a
> > > > ---
> > > >  gnu/packages/emulators.scm | 34 +++++++++++++++++-----------------
> > > The ChangeLog is missing.  Ditto for all the other patches I got.  I'd
> > > hazard a guess that much of this could be squashed together.
> > >
> > > Cheers
> > >